ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM RENAME COLUMN MoId TO MoIdAsMdr308;
ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM ALTER COLUMN "testsystemname" SET DATA TYPE varchar(100);
ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM ALTER COLUMN "testsysystemserial" SET DATA TYPE varchar(100);

ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM ADD "qualitativeresult" integer NULL;

ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM ADD "optdenscritical" decimal(2, 1) NULL;

ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM ADD "optdenssamples" decimal(2, 1) NULL;

ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM ADD "moid" varchar(64) NULL;

ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM ADD "testsystem" uuid NULL;

ALTER TABLE AKUZ.T_FRVICH_HIV_DISP_EXAM ADD CONSTRAINT FK_T_FRVICH_TEST_SYSTEM_T_FRVICH_HIV_DISP_EXAM_TestSystem
FOREIGN KEY("testsystem") REFERENCES AKUZ.T_FRVICH_TEST_SYSTEM (FrvichTestSystemID);